package org.amse.vbut.vzab;

/**
 * Board point class
 * 
 * @author But Vasiliy
 *
 */
public class BoardPoint {
	
	private final int myX;
	
	private final int myY;
	
	/**
	 * Constructs BoardPoint object with specified 
	 * x and y coordinates.
	 */
	public BoardPoint(int x, int y) {
		myX = x; 
		myY = y;
	}
	
	/**
	 * Returns x coordinate.
	 * @return x coordinate.
	 */
	public int getX() {
		return myX;
	}
	
	/**
	 * Returns y coordinate.
	 * @return y coordinate.
	 */
	public int getY() {
		return myY;
	}
	
	public String toString() {
		return "[x=" + getX() + ",y=" + getY() + "]";
	}
	
	public boolean equals(Object o) {
		if (o == this) {
			return true;
		}
		
		if (o == null || !(o instanceof BoardPoint) ) {
			return false;
		}
		
		BoardPoint p = (BoardPoint)o;
		
		return p.getX() == getX() && p.getY() == getY();
	}
}
