package org.amse.vbut.vzab.io;

import org.amse.vbut.vzab.model.*;

/**
 * Interface of the writer
 * 
 * @author But Vasiliy
 *
 */
public interface IWriter {

	/**
	 * Writes the specified game to the specified file
	 * @param game - the game to write to the file
	 * @param filename - name of the file
	 */
	public void writeGame(IGame game, String filename);
	
	/**
	 * Writes list of players to the file.
	 * @param players - list to write to the file
	 * @param filename - name of the file
	 */
	public void writePlayers(java.util.List<IPlayer> players, String filename);
	
	/**
	 * Saves game settings to the specified file.
	 * @param filename - name of file to save settings to
	 * @param mainx - x coordinate of the main window
	 * @param mainy - y coordinate of the main window
	 * @param dieshow - show die-message
	 * @param grayshow - show gray-message
	 * @param winshow - show win-message
	 */
	void writeSettings(String filename, int mainx, int mainy, 
			boolean dieshow, boolean grayshow, boolean winshow);
}
