package org.amse.vbut.vzab.io.impl;

import org.amse.vbut.vzab.io.*;

/**
 * Factory for input/output classes
 * 
 * @author But Vasiliy
 * 
 */
public class IOFactory {

	/**
	 * Creates new IReader object
	 * @return new IReader object
	 */
	public static IReader newReader() {
		return new DOMReader();
	}

	/**
	 * Creates new IWriter object
	 * @return new IWriter object
	 */
	public static IWriter newWriter() {
		return new DOMWriter();
	}
	
	/**
	 * Creates new IPlayerIO object
	 * @return new IPlayerIO object
	 */
	public static IPlayerIO newPlayerIO() {
		return new PlayerIO();
	}
	
}
