package org.amse.vbut.vzab.model;

public interface IMove {

	/**
	 * @return x-coordinate of the move
	 */
	int getX();

	/**
	 * @return y-coordinate of the move
	 */
	int getY();

	/**
	 * @return list of the pieces have been killed.
	 */
	java.util.List<IPiece> getKilled();
	
	/**
	 * @return parent piece of this move.
	 */
	IPiece getPiece();
	
	/**
	 * Returns killed pieces that were killed 
	 * not direcly by move.
	 * @return killed pieces that were killed 
	 * not direcly by move.
	 */
	java.util.List<IPiece> getUpdatedKiled();
}
