package org.amse.vbut.vzab.model;

/**
 *  Interface of the Piece
 *  
 * @author But Vasiliy
 * 
 */
public interface IPiece {

	/**
	 * Get owner of the Piece.
	 * 
	 * @return player that is owner of this piece
	 */
	public IPlayer getPlayer();

	/**
	 * Check if the piece is alive.
	 * 
	 * @return	<code>true</code> if the piece is alive;
	 * 			<code>false</code> otherwise.
	 */
	public boolean isAlive();

	/**
	 * Kill the piece (set alive-state to <tt>false</tt>)
	 */
	public void kill();
	
	/**
	 * Revives the piece (set alive-state to <tt>true</tt>)
	 */
	public void revive();

}
