package org.amse.vbut.vzab.model;

import javax.swing.*;

/**
 * Interface of the Player
 * 
 * @author But Vasiliy
 *
 */
public interface IPlayer {
	
	/**
	 * Get name of the player
	 * 
	 * @return String that contains name of the player
	 */
	String getName();
	
	/**
	 * Set new name of the player
	 * 
	 * @param name - name of the player
	 */
	void setName(String name);
	
	/**
	 * Returns <tt>true</tt> if the player is 
	 * computer, otherwise returns <tt>false</tt>.
	 * 
	 * @return <tt>true</tt> if the player is 
	 * computer, otherwise returns <tt>false</tt>.
	 */
	boolean isComputer();
	
	/**
	 * Sets if this player is computer;
	 */
	void setComputer(boolean b);
	
	/**
	 * Tests if object o is player and it is equals to this player.
	 */
	boolean equals(Object o);
	
	ImageIcon getImageAlive();
	ImageIcon getImageKilled();
	ImageIcon getImageBase();
	ImageIcon getImageBaseKilled();
	ImageIcon getImageSmall();
	
	void setImageAlive(ImageIcon image);
	void setImageKilled(ImageIcon image);
	void setImageBase(ImageIcon image);
	void setImageBaseKilled(ImageIcon image);
	void setImageSmall(ImageIcon image);

	String getPath();
	void setPath(String filename);
	
	final static int IMAGE_SIZE = 35;
	final static int SMALL_IMAGE_SIZE = 18;
}
