package org.amse.vbut.vzab.model.impl;

import org.amse.vbut.vzab.VZabException;
import org.amse.vbut.vzab.model.IPiece;
import org.amse.vbut.vzab.model.IPlayer;

/**
 * Piece class
 * 
 * @author But Vasiliy
 *
 */
class Piece implements IPiece {

	private final IPlayer myPlayer; 

	private boolean myAlive; 

	/**
	 * Creates new Piece of the specified player.
	 */
	public Piece(IPlayer player) {
		if (player == null) {
			throw new VZabException(
					"Player in piece's constructor can not be null.");
		}
		myPlayer = player;
		myAlive = true;
	}

	public IPlayer getPlayer() {
		return myPlayer;
	}

	public boolean isAlive() {
		return myAlive;
	}

	public void kill() {
		myAlive = false;
	}

	public String toString() {
		return "[player=" + getPlayer() + ",alive=" + isAlive() + "]";
	}

	public void revive() {
		myAlive = true;
	}
	
}
