package org.amse.vbut.vzab.model.impl;

import org.amse.vbut.vzab.model.*;

/**
 * PlayerShell
 * 
 * @author But Vasiliy
 *
 */
class PlayerShell extends Player implements IPlayerShell {
	
	private IPlayer myPlayer;
	private boolean myDeleted;
	private boolean myNew;
	
	/**
	 * Creates new IPLayerShell with the specified 
	 * parent player and isnew flag.
	 */
	public PlayerShell(IPlayer p, boolean isnew) {
		super(p);
		myPlayer = p;
		myDeleted = false;
		myNew = isnew;
	}
	
	public void applyChanges() {
		myPlayer.setComputer(isComputer());
		
		myPlayer.setPath(getPath());
		myPlayer.setImageAlive(getImageAlive());
		myPlayer.setImageBase(getImageBase());
		myPlayer.setImageBaseKilled(getImageBaseKilled());
		myPlayer.setImageKilled(getImageKilled());
		myPlayer.setImageSmall(getImageSmall());
		
		myPlayer.setName(getName());
	}
	
	public boolean isDeleted() {
		return myDeleted;
	}
	
	public void setDeleted(boolean d) {
		myDeleted = d;
	}
	
	public IPlayer getParent() {
		return myPlayer;
	}
	
	public boolean isNew() {
		return myNew;
	}
	
	public boolean equals(Object o) {
		if (!super.equals(o)) {
			return false;
		}
		
		if (!(o instanceof IPlayerShell)) {
			return false;
		}
		
		IPlayerShell s = (IPlayerShell)o;
		
		return isDeleted() == s.isDeleted();
	}

}
