package org.amse.vbut.vzab.view;

import java.awt.Dimension;

import javax.swing.*;
import javax.swing.border.*;
//import org.amse.vbut.vzab.view.tools.*;
import org.amse.vbut.vzab.model.*;
import org.amse.vbut.vzab.view.dialogs.PlayerListCellRenderer;

/**
 * Status bar classs
 * 
 * @author But Vasiliy
 *
 */
@SuppressWarnings("serial")
public class StatusBar extends JPanel {

	private Viewer myView;
	
	private JLabel myCurrentPlayerLabel;
	
	public StatusBar(Viewer view) {
		super();
		setLayout(new BoxLayout(this, BoxLayout.X_AXIS));
		setBorder(new EtchedBorder(EtchedBorder.LOWERED));
		
		Dimension dim = getMinimumSize();
		dim.height = java.lang.Math.max(dim.height, IPlayer.SMALL_IMAGE_SIZE + 5);
		setMinimumSize( new Dimension() );
		
		myView = view;

		fillElements();
	}
	
	private void fillElements() {
		add(new JLabel("Current player: "));
		add(myCurrentPlayerLabel = new JLabel());
		add(Box.createHorizontalGlue());
	}
	
	public void updateStatusBar() {	
		final IGame game = myView.getVPanel().getGame();
		
		if (game != null) {
			final IPlayer player = game.getPlayers().get( game.getCurrentPlayer() );
			myCurrentPlayerLabel.setText(PlayerListCellRenderer.getPlayerText(player));
			myCurrentPlayerLabel.setIcon( player.getImageSmall() );
		} else {
			myCurrentPlayerLabel.setText("");
			myCurrentPlayerLabel.setIcon(null);
		}
	}
	
}
