package org.amse.vbut.vzab.view.dialogs;

import java.awt.*;
import javax.swing.*;

//import org.amse.vbut.vzab.view.tools.*;
import org.amse.vbut.vzab.model.*;

/**
 * PlayerListCellRenderer class
 * 
 * @author But Vasiliy
 *
 */
@SuppressWarnings("serial")
public class PlayerListCellRenderer extends DefaultListCellRenderer {

	static public String getPlayerText(IPlayer player) {
		//return player.getName() + (player.isComputer() ? " (computer)" : " (human)");
		return player.getName();
	}
	
	public Component getListCellRendererComponent(JList list, Object value, 
			int index, boolean isSelected, boolean cellHasFocus) {
		
		if (value instanceof IPlayer)
		{
			final IPlayer player = (IPlayer)value;
			
			final JLabel label = (JLabel)super.getListCellRendererComponent(list, 
					getPlayerText(player), index, isSelected, cellHasFocus);

			final ImageIcon image = player.getImageSmall();
			
			label.setIcon( image );
			
			return label;
		} else {
			return super.getListCellRendererComponent(list, value, index, isSelected, cellHasFocus);
		}
	}
	
}
