package org.amse.vbut.vzab.view.events;

import javax.swing.*;
import java.awt.event.ActionEvent;

import org.amse.vbut.vzab.view.*;
import org.amse.vbut.vzab.model.*;
import org.amse.vbut.vzab.io.*;

@SuppressWarnings("serial")
public class RedoMoveAction extends AbstractAction {

	private Viewer myView;
	
	public RedoMoveAction(Viewer view) {
		super("redo move", IOTools.loadIcon(Main.IMAGES_PATH + "/redo.png"));
		putValue(AbstractAction.SHORT_DESCRIPTION, "Redo move");
		myView = view;
	}
	
	public void actionPerformed(ActionEvent ae) {
		if (isEnabled())
		{
			final VPanel panel = myView.getVPanel();
			panel.getGame().redoMove();
		}
		myView.updateView();
	}

	public boolean isEnabled() {
		final IGame game = myView.getVPanel().getGame();
		if (game == null) {
			return false;
		}
		return game.canRedoMove();
	}
	
}
